const User = require('../../models/user');

exports.getUserById = async (req, res) => {
    try {
        const userId = req.params.id;
        const user = await User.findOne({
            where: { id: userId }
        });
        res.status(200).send(user);
    } catch (err) {
        console.log(err)
        res.sendStatus(401);
    }
}

exports.register = async (req, res) => {
    try {
        const data = req.body;
        await User.create(data)
        res.status(200).send("Token");
    } catch (err) {
        console.log(err)
        res.sendStatus(401);
    }
}