const Sequelize = require("sequelize");
const db = require("../../db");

module.exports = db.sequelize.define("users", {
  reviewsID: {
    type: Sequelize.INTEGER,
    primaryKey: true,
    autoIncrement: true
  },

  reviewsTopic: {
    type: Sequelize.INTEGER
  },
  reviewsMessage: {
    type: Sequelize.STRING
  },
  reviewsPoint: {
    type: Sequelize.INTEGER
  },
  reviewsPic: {
    type: Sequelize.STRING
  },
  shopID: {
    type: Sequelize.INTEGER
  },
  userID: {
    type: Sequelize.INTEGER
  }
});
