const express = require('express');
const router = require('./routers');
const cors = require('cors');
const bodyParser = require('body-parser');

const port = process.env.PORT || 9000;
const app = express();

app.use(cors());
app.use(bodyParser.json());
app.use(bodyParser.urlencoded({ extended: false }))
app.use('/api/auth', router.auth);

app.listen(port, () => {
  console.log('Express server listening on port ' + port)
});




